%define modname cTemplate
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A49_%{modname}.ini

Summary:	A PHP extension for the Google ctemplate library
Name:		php-%{modname}
Version:	0.5
Release:	%mkrel 3
Group:		Development/PHP
License:	BSD
URL:		http://people.freebsd.org/~vanilla/
Source0:	http://people.freebsd.org/~vanilla/%{modname}-%{version}.tar.bz2
BuildRequires:	php-devel >= 5.1.0
BuildRequires:	libctemplate-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
php_ctemplate is a PHP extension for the Google ctemplate library. Most
functions have been implemented (about 90%).

%prep

%setup -q -n %{modname}-%{version}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

# nuke this
perl -pi -e "s|-Werror -Wall -g||g" config.m4

%build
export CTEMPLATE_SHARED_LIBADD="-lpthread"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-3
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2007.1
- rebuild

* Thu Jul 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdk
- 0.5

* Sun May 21 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdk
- 0.4

* Tue May 16 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdk
- 0.3

* Mon May 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdk
- fix linkage (#22344)

* Sun May 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- 0.1 (Minor feature enhancements)

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0-3mdk
- rebuilt for php-5.1.4

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0-2mdk
- rebuilt for php-5.1.3

* Tue May 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0-1mdk
- initial mandriva package
